Выполнение произвольного кода в ImageMagick при обработке .psd файлов

Дата публикации:
19.01.2005
Дата изменения:
03.05.2008
Всего просмотров:
1998
Опасность:
Высокая
Наличие исправления:
Да
Количество уязвимостей:
1
CVSSv2 рейтинг:
CVE ID:
Нет данных
Вектор эксплуатации:
Удаленная
Воздействие:
Компрометация системы
CWE ID:
Нет данных
Наличие эксплоита:
Нет данных
Уязвимые продукты:
ImageMagick 6.x
Уязвимые версии: ImageMagick версии до 6.1.8-8

Описание:
Переполнение буфера в ImageMagick позволяет атакующему выполнить произвольный код на системе.

Уязвимость существует в файле 'coders/psd.c' при обработке .psd файлов. Удаленный пользователь может создать специально сформированный документ в формате Photoshop, который при обработке ImageMagick вызовет переполнение буфера и позволит злоумышленнику выполнить произвольный код на системе.

URL производителя: http://www.imagemagick.org

Решение: Установите последнюю версию 6.1.8-8 с сайта производителя.

Ссылки: Multiple Vendor ImageMagick .psd Image File Decode Heap Overflow Vulnerability

или введите имя

CAPTCHA